org.modeshape.jcr.query

## Interface QueryBuilder.DynamicOperandBuilder

- All Known Implementing Classes:
    QueryBuilder.ConstraintBuilder, QueryBuilder.LowerCaser, QueryBuilder.UpperCaser
  Enclosing class:
    QueryBuilder

      public static interface QueryBuilder.DynamicOperandBuilder

  Interface that defines a dynamic operand portion of a criteria.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `QueryBuilder.ComparisonBuilder` | `depth(String table)` Constrains the nodes in the the supplied table based upon criteria on the node's depth.
    `QueryBuilder.ComparisonBuilder` | `fullTextSearchScore(String table)` Constrains the nodes in the the supplied table such that they must satisfy the supplied full-text search on the nodes' property values.
    `QueryBuilder.ComparisonBuilder` | `length(String table, String property)` Constrains the nodes in the the supplied table such that they must have a property value whose length matches the criteria.
    `QueryBuilder.DynamicOperandBuilder` | `lowerCaseOf()` Begin a constraint against the lowercase form of a dynamic operand.
    `QueryBuilder.ComparisonBuilder` | `nodeLocalName(String table)` Constrains the nodes in the the supplied table based upon criteria on the node's local name.
    `QueryBuilder.ComparisonBuilder` | `nodeName(String table)` Constrains the nodes in the the supplied table based upon criteria on the node's name.
    `QueryBuilder.ComparisonBuilder` | `path(String table)` Constrains the nodes in the the supplied table based upon criteria on the node's path.
    `QueryBuilder.ComparisonBuilder` | `propertyValue(String table, String property)` Constrains the nodes in the the supplied table such that they must have a matching value for the named property.
    `QueryBuilder.ComparisonBuilder` | `referenceValue(String table)` Constrains the nodes in the the supplied table such that they must have a matching value for any of the node's reference properties.
    `QueryBuilder.ComparisonBuilder` | `referenceValue(String table, String property)` Constrains the nodes in the the supplied table such that they must have a matching value for the named property.
    `QueryBuilder.ComparisonBuilder` | `strongReferenceValue(String table)` Constrains the nodes in the the supplied table such that they must have a matching value for any of the node's non-weak reference properties.
    `QueryBuilder.DynamicOperandBuilder` | `upperCaseOf()` Begin a constraint against the uppercase form of a dynamic operand.

- - ### Method Detail

    - #### length

          QueryBuilder.ComparisonBuilder length(String table,
                                              String property)

      Constrains the nodes in the the supplied table such that they must have a property value whose length matches the criteria.
      Parameters:
        `table` - the name of the table; may not be null and must refer to a valid name or alias of a table appearing in the FROM clause
        `property` - the name of the property; may not be null and must refer to a valid property name
      Returns:
        the interface for completing the value portion of the criteria specification; never null

    - #### propertyValue

          QueryBuilder.ComparisonBuilder propertyValue(String table,
                                                     String property)

      Constrains the nodes in the the supplied table such that they must have a matching value for the named property.
      Parameters:
        `table` - the name of the table; may not be null and must refer to a valid name or alias of a table appearing in the FROM clause
        `property` - the name of the property; may not be null and must refer to a valid property name
      Returns:
        the interface for completing the value portion of the criteria specification; never null

    - #### referenceValue

          QueryBuilder.ComparisonBuilder referenceValue(String table)

      Constrains the nodes in the the supplied table such that they must have a matching value for any of the node's reference properties.
      Parameters:
        `table` - the name of the table; may not be null and must refer to a valid name or alias of a table appearing in the FROM clause
      Returns:
        the interface for completing the value portion of the criteria specification; never null

    - #### referenceValue

          QueryBuilder.ComparisonBuilder referenceValue(String table,
                                                      String property)

      Constrains the nodes in the the supplied table such that they must have a matching value for the named property.
      Parameters:
        `table` - the name of the table; may not be null and must refer to a valid name or alias of a table appearing in the FROM clause
        `property` - the name of the reference property; may be null if the constraint applies to all/any reference properties on the node
      Returns:
        the interface for completing the value portion of the criteria specification; never null

    - #### strongReferenceValue

          QueryBuilder.ComparisonBuilder strongReferenceValue(String table)

      Constrains the nodes in the the supplied table such that they must have a matching value for any of the node's non-weak reference properties.
      Parameters:
        `table` - the name of the table; may not be null and must refer to a valid name or alias of a table appearing in the FROM clause
      Returns:
        the interface for completing the value portion of the criteria specification; never null

    - #### fullTextSearchScore

          QueryBuilder.ComparisonBuilder fullTextSearchScore(String table)

      Constrains the nodes in the the supplied table such that they must satisfy the supplied full-text search on the nodes' property values.
      Parameters:
        `table` - the name of the table; may not be null and must refer to a valid name or alias of a table appearing in the FROM clause
      Returns:
        the interface for completing the value portion of the criteria specification; never null

    - #### depth

          QueryBuilder.ComparisonBuilder depth(String table)

      Constrains the nodes in the the supplied table based upon criteria on the node's depth.
      Parameters:
        `table` - the name of the table; may not be null and must refer to a valid name or alias of a table appearing in the FROM clause
      Returns:
        the interface for completing the value portion of the criteria specification; never null

    - #### path

          QueryBuilder.ComparisonBuilder path(String table)

      Constrains the nodes in the the supplied table based upon criteria on the node's path.
      Parameters:
        `table` - the name of the table; may not be null and must refer to a valid name or alias of a table appearing in the FROM clause
      Returns:
        the interface for completing the value portion of the criteria specification; never null

    - #### nodeLocalName

          QueryBuilder.ComparisonBuilder nodeLocalName(String table)

      Constrains the nodes in the the supplied table based upon criteria on the node's local name.
      Parameters:
        `table` - the name of the table; may not be null and must refer to a valid name or alias of a table appearing in the FROM clause
      Returns:
        the interface for completing the value portion of the criteria specification; never null

    - #### nodeName

          QueryBuilder.ComparisonBuilder nodeName(String table)

      Constrains the nodes in the the supplied table based upon criteria on the node's name.
      Parameters:
        `table` - the name of the table; may not be null and must refer to a valid name or alias of a table appearing in the FROM clause
      Returns:
        the interface for completing the value portion of the criteria specification; never null

    - #### upperCaseOf

          QueryBuilder.DynamicOperandBuilder upperCaseOf()

      Begin a constraint against the uppercase form of a dynamic operand.
      Returns:
        the interface for completing the criteria specification; never null

    - #### lowerCaseOf

          QueryBuilder.DynamicOperandBuilder lowerCaseOf()

      Begin a constraint against the lowercase form of a dynamic operand.
      Returns:
        the interface for completing the criteria specification; never null

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.